package com.sagacloud.route.processors.Maintainance;
/*
 * Author: Jxing
 * Create Time: 2018/7/13
 */

import com.alibaba.fastjson.JSONObject;
import com.sagacloud.Exceptions.InvalidPostException;
import com.sagacloud.cache.ProPasCache;
import com.sagacloud.pojos.InsurancePost;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

public class QueryPropertyProcesspr implements Processor {
    @Override
    public void process(Exchange exchange) throws Exception {
        String jsonStr = exchange.getIn().getBody(String.class);
        InsurancePost post = JSONObject.parseObject(jsonStr, InsurancePost.class);
        if(post.getVenderId() == null || post.getProjectId() == null || ProPasCache.getPjSecret(post.getProjectId()) == null)
            throw new InvalidPostException("参数错误!");
        exchange.getIn().setBody(jsonStr);
        exchange.setProperty("postParam", post);
    }
}
